Revert "python: Simplify setup.py"
[notmuch] / bindings / python / setup.py
1 #!/usr/bin/env python
2
3 import os
4 import re
5 from distutils.core import setup
6
7 def get_version():
8     file = open('notmuch/__init__.py')
9     try:
10         for line in file:
11             if re.match('__VERSION__\s*=\s*',line) != None:
12                 version = line.split('=', 1)[1]
13                 return eval(version, {}, {})
14     finally:
15         file.close()
16     raise IOError('Unexpected end-of-file')
17
18 __VERSION__=get_version()
19
20 setup(name='notmuch',
21       version=__VERSION__,
22       description='Python binding of the notmuch mail search and indexing library.',
23       author='Sebastian Spaeth',
24       author_email='Sebastian@SSpaeth.de',
25       url='http://notmuchmail.org/',
26       download_url='http://notmuchmail.org/releases/notmuch-'+__VERSION__+'.tar.gz',
27       packages=['notmuch'],
28       keywords = ["library", "email"],
29       long_description="""Overview
30 ==============
31
32 The notmuch  module provides an interface to the `notmuch <http://notmuchmail.org>`_ functionality, directly interfacing with a shared notmuch library. Notmuch provides a maildatabase that allows for extremely quick searching and filtering of your email according to various criteria.
33
34 The documentation for the latest cnotmuch release can be `viewed online <http://packages.python.org/notmuch>`_.
35
36 The classes notmuch.Database, notmuch.Query  provide most of the core functionality, returning notmuch.Messages and notmuch.Tags.
37
38 Installation and Deinstallation
39 -------------------------------
40
41 notmuch is included in the upstream notmuch source repository and it is
42 packaged on http://pypi.python.org. This means you can do "easy_install
43 notmuch" (or using pip) on your linux box and it will get installed
44 into:
45
46 /usr/local/lib/python2.x/dist-packages/
47
48 For uninstalling, you will need to remove the "notmuch-0.x-py2.x.egg"
49 directory and delete one entry refering to cnotmuch in the
50 "easy-install.pth" file in that directory. There should be no trace
51 left of cnotmuch then.
52
53 Requirements
54 ------------
55
56 You need to have notmuch installed (or rather libnotmuch.so.1). The
57 release version 0.3 should work fine. Also, notmuch makes use of the
58 ctypes library, and has only been tested with python 2.5. It will not
59 work on earlier python versions.
60 """,
61       classifiers=['Development Status :: 2 - Pre-Alpha',
62                    'Intended Audience :: Developers',
63                    'License :: OSI Approved :: GNU General Public License (GPL)',
64                    'Programming Language :: Python :: 2',
65                    'Programming Language :: Python :: 3',
66                    'Topic :: Communications :: Email',
67                    'Topic :: Software Development :: Libraries'
68                    ],
69       platforms='',
70       license='http://www.gnu.org/licenses/gpl-3.0.txt',
71      )